:root {
    --sp-item-grid-column-count: 2;
    --sp-item-grid-gap: 1rem;
}

.page-section-container.section-Item_Grid {
    .item-grid {
        display: grid;
        grid-template-columns: repeat(var(--sp-item-grid-column-count), 1fr);
        gap: var(--sp-item-grid-gap);

        &.circle {
            .item-grid__item {
                .item-grid__item__image {
                    img {
                        background: #f4f4f4;
                        border-radius: 50%;
                        padding: 20px;
                    }
                }

                .item-grid__item__button {
                    font-family: Roboto;
                    padding: 12px 22px;
                }
            }
        }

        .item-grid__item {
            text-align: center;

            .item-grid__item__heading-text {
                font-size: 2.5rem;
                width: 250px;
                margin: auto;
                padding: 2rem 0;
            }
        }

        &.has-body {
            .item-grid__item {
                display: grid;
                grid-template-areas:
                    "a b b"
                    "a c c";
                gap: var(--sp-item-grid-gap);

                @media screen and (max-width: 568px) {
                    grid-template-areas:
                    "a"
                    "b"
                    "c";
                }

                .item-grid__item__image {
                    grid-area: a;
                }

                .item-grid__item__heading-text {
                    grid-area: b;
                }

                .item-grid__item__body-text {
                    grid-area: c;
                }
            }
        }

        @media screen and (max-width: 768px) {
            grid-template-columns: 1fr;
        }
    }
}